
From: Tobias Klauser <tklauser@nuerscht.ch>

Use the DMA_32BIT_MASK constant from dma-mapping.h when calling
pci_set_dma_mask() or pci_set_consistent_dma_mask() instead of custom macros.

This patch includes dma-mapping.h explicitly because it caused errors on some
architectures otherwise.  See
http://marc.theaimsgroup.com/?t=108001993000001&r=1&w=2 for details

Signed-off-by: Tobias Klauser <tklauser@nuerscht.ch>
Cc: Jeff Garzik <jgarzik@pobox.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/wireless/ipw2100.c |    7 ++-----
 1 files changed, 2 insertions(+), 5 deletions(-)

diff -puN drivers/net/wireless/ipw2100.c~drivers-net-wireless-ipw2100-use-the-dma_32bit_mask-constant drivers/net/wireless/ipw2100.c
--- 25/drivers/net/wireless/ipw2100.c~drivers-net-wireless-ipw2100-use-the-dma_32bit_mask-constant	2005-06-05 23:50:27.000000000 -0700
+++ 25-akpm/drivers/net/wireless/ipw2100.c	2005-06-05 23:50:27.000000000 -0700
@@ -146,6 +146,7 @@ that only one external action is invoked
 #include <linux/netdevice.h>
 #include <linux/ethtool.h>
 #include <linux/pci.h>
+#include <linux/dma-mapping.h>
 #include <linux/proc_fs.h>
 #include <linux/skbuff.h>
 #include <asm/uaccess.h>
@@ -6425,10 +6426,6 @@ static struct net_device *ipw2100_alloc_
 	return dev;
 }
 
-
-
-#define PCI_DMA_32BIT   0x00000000ffffffffULL
-
 static int ipw2100_pci_init_one(struct pci_dev *pci_dev,
 				const struct pci_device_id *ent)
 {
@@ -6482,7 +6479,7 @@ static int ipw2100_pci_init_one(struct p
 	pci_set_master(pci_dev);
 	pci_set_drvdata(pci_dev, priv);
 
-	err = pci_set_dma_mask(pci_dev, PCI_DMA_32BIT);
+	err = pci_set_dma_mask(pci_dev, DMA_32BIT_MASK);
 	if (err) {
 		printk(KERN_WARNING DRV_NAME
 		       "Error calling pci_set_dma_mask.\n");
_
